Subject: bug#17169: closed (Re: bug#17169: fails to start with (setq force-load-messages t) in ~/.emacs)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 03 Apr 2014 20:01:03 +0000

Your bug report

#17169: fails to start with (setq force-load-messages t) in ~/.emacs 

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17169: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17169
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17169: fails to start with (setq force-load-messages t) in ~/.emacs
From: Eli Zaretskii <[email-masked]>
To: Ivan Shmakov <[email-masked]>
Cc: [email-masked]
Date: Thu, 03 Apr 2014 23:00:22 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Ivan Shmakov <[email-masked]>
> Date: Thu, 03 Apr 2014 19:05:38 +0000
> 
>  > This far things are fine, although I'd like to know what kind of
>  > autoload caused Emacs to load some Lisp file here, and what was that
>  > file (the value of 'file' in frame 14 or of 'string' in frame 13
>  > should tell you that).
> 
> 	As I read it, the file is time-date.el, and it’s loaded for the
> 	seconds-to-time function.

OK, I see that as well.

> 	JFTR, as per the GDB transcripts MIMEd, Fload () is called to
> 	load uni-mirrored.el.  The respective code is as follows.
> 
> emacs-2014 $ nl -ba < src/bidi.c 
> …
>    771	
>    772	  bidi_mirror_table = uniprop_table (intern ("mirroring"));
>    773	  if (NILP (bidi_mirror_table))
>    774	    emacs_abort ();
>    775	  staticpro (&bidi_mirror_table);
>    776	
> …
> emacs-2014 $ 
> 
> […]
> 
>  > This code runs at "temacs -l loadup dump" time, so the result is that
>  > uni-bidi.el gets loaded and dumped into the Emacs binary.
> 
> 	Does the same apply to uni-mirrored.el?

No.  I fixed this now on the emacs-24 branch (r116902).

(For he record, this crash didn't happen on my system because there
bidi_initialize is called for the first time before the user init file
is read, and therefore force-load-messages is still nil.)

> 	Is there an easy way to list the Unicode tables contained within
> 	the resulting binary?

You can call Ffeaturep, since each of the *.el files by convention
provides a feature unique to that file.

> 	BTW, is it normal that display_string () is called with an empty
> 	‘string’ argument here, and in turn passes an empty (Lisp)
> 	‘string’ to reseat_to_string ()?

Yes, it's normal, see display_menu_bar in xdisp.c, for example.

Thanks.

Subject: fails to start with (setq force-load-messages t) in ~/.emacs
From: Ivan Shmakov <[email-masked]>
To: [email-masked]
Date: Wed, 02 Apr 2014 09:45:28 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Package:  emacs

	As of ad37c460d20, Emacs fails early in startup should ~/.emacs
	set force-load-messages to t.  Consider, e. g.:

$ cat < .emacs 
(setq force-load-messages t)
$ HOME="$PWD" emacs --debug-init 
…^G^G^Gemacs: NSTATICS too small; try increasing and recompiling Emacs.
$ reset ; stty intr ^C ; ## restore sane tty settings 

	A version built 2014-03-13 is apparently not affected.

-- 
FSF associate member #7257